| Box2D 2.3.0 A 2D Physics Engine for Games

Public Member Functions | Public Attributes | List of all members
b2ContactSolver Class Reference

## Public Member Functions
| b2ContactSolver (b2ContactSolverDef *def)
void | InitializeVelocityConstraints ()
void | WarmStart ()
void | SolveVelocityConstraints ()
void | StoreImpulses ()
bool | SolvePositionConstraints ()
bool | SolveTOIPositionConstraints (int32 toiIndexA, int32 toiIndexB)

## Public Attributes
b2TimeStep | m_step
b2Position * | m_positions
b2Velocity * | m_velocities
b2StackAllocator * | m_allocator
b2ContactPositionConstraint * | m_positionConstraints
b2ContactVelocityConstraint * | m_velocityConstraints
b2Contact ** | m_contacts
int | m_count

The documentation for this class was generated from the following files:

- b2ContactSolver.h
- b2ContactSolver.cpp